//	NiallsPedalBoard.cpp - Main application stuff.
//	--------------------------------------------------------------------------
//	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
//	Copyright (C) 2004-2005  Niall Moody
//	
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//	--------------------------------------------------------------------------
//	
//	You can e-mail me at niallmoody@yahoo.co.uk if you want.
//	
//	--------------------------------------------------------------------------

#include "NiallsPedalBoard.h"

#include <juce.h>

NiallsPedalBoardApplication::NiallsPedalBoardApplication()
: window(0)
{
	// avoid doing anything complicated in the constructor - use initialise() instead.
}

void NiallsPedalBoardApplication::initialise(const String& commandLine)
{
	String tempstr;
	int tempint;

	// Just create the main window...
	if(commandLine.contains(T("--debug")))
	{
		tempint = commandLine.indexOf(T("--debug"));
		tempstr = commandLine.substring(0, tempint);
		if(commandLine.length() > (tempint + 7))
			tempstr += commandLine.substring(tempint + 7);
		window = new NPBWindow(tempstr, true);
	}
	else
		window = new NPBWindow(commandLine, false);
	//Window->centreWithSize(400, 300);
    window->toFront(true);

	/*  ..and now return, which will fall into to the main event
		dispatch loop, and this will run until something calls
		JUCEAppliction::quit().

		In this case, JUCEAppliction::quit() will be called by the
		hello world window being clicked.
	*/
}

void NiallsPedalBoardApplication::shutdown()
{
	// clear up..
}

const String NiallsPedalBoardApplication::getApplicationName()
{
	return T("Niall's Pedal Board");
}

const String NiallsPedalBoardApplication::getApplicationVersion()
{
	return T("1.0");
}


//==============================================================================
// This macro creates the application's main() function..
START_JUCE_APPLICATION (NiallsPedalBoardApplication)
